Skip to main content
POST
/
tokenization_requests
/
{tokenization_request_id}
/
complete
Complete a tokenization request
curl --request POST \
  --url https://api.withacclaim.com/v1/tokenization_requests/{tokenization_request_id}/complete \
  --header 'Authorization: Bearer <token>'
{
  "id": "ta_AbC123XyZ",
  "tokenization_request_id": "trq_Def456UvW",
  "payer_id": "pyr_GhI789JkL",
  "status": "Succeeded",
  "external_id": "txn_processor_123",
  "failure_code": "validation_failed",
  "failure_message": "Payment method validation failed",
  "created_at": "2025-10-08T18:20:31Z",
  "updated_at": "2025-10-08T18:25:00Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tokenization_request_id
string
required

ID of the tokenization request.

Response

Tokenization request completed successfully.

id
string
Example:

"ta_AbC123XyZ"

tokenization_request_id
string | null

ID of the tokenization request this attempt belongs to

Example:

"trq_Def456UvW"

payer_id
string | null

ID of the payer for this tokenization attempt

Example:

"pyr_GhI789JkL"

status
enum<string>

Current status of the tokenization attempt

Available options:
Pending,
Processing,
Succeeded,
Failed
Example:

"Succeeded"

external_id
string | null

External transaction ID from the payment processor

Example:

"txn_processor_123"

failure_code
string | null

Error code if the tokenization attempt failed

Example:

"validation_failed"

failure_message
string | null

Human-readable error message if the tokenization attempt failed

Example:

"Payment method validation failed"

created_at
string<date-time>
Example:

"2025-10-08T18:20:31Z"

updated_at
string<date-time>
Example:

"2025-10-08T18:25:00Z"

Last modified on April 14, 2026